Package net.shibboleth.idp.attribute

# Enum Class EmptyAttributeValue.EmptyType

java.lang.Object
java.lang.Enum<EmptyAttributeValue.EmptyType>
net.shibboleth.idp.attribute.EmptyAttributeValue.EmptyType

All Implemented Interfaces:
  `Serializable`, `Comparable<EmptyAttributeValue.EmptyType>`, `Constable`

Enclosing class:
  EmptyAttributeValue

public static enum EmptyAttributeValue.EmptyType extends Enum<EmptyAttributeValue.EmptyType>
Types of empty values.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NULL_VALUE`
Value that is the Java null reference.
`ZERO_LENGTH_VALUE`
Value with zero length.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`EmptyType()`

## Method Summary

Modifier and Type
Method
Description
`static EmptyAttributeValue.EmptyType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EmptyAttributeValue.EmptyType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NULL_VALUE

public static final EmptyAttributeValue.EmptyType NULL_VALUE
Value that is the Java null reference.

### ZERO_LENGTH_VALUE

public static final EmptyAttributeValue.EmptyType ZERO_LENGTH_VALUE
Value with zero length.

## Constructor Details

### EmptyType

private EmptyType()

## Method Details

### values

public static EmptyAttributeValue.EmptyType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EmptyAttributeValue.EmptyType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null